const { glob } = require('./../bootstrap/modules');
const call = require('./../helpers/live-require');

class ComponentsCollector {
    constructor(componentsPatterns) {
        this.componentsPatterns = componentsPatterns;
        this.componentsList = {};
    }

    /**
     * Collect all components
     */
    collect() {
        return new Promise(async resolve => {
            try {
                let files = await glob(this.componentsPatterns);
                for (let i = 0; i < files.length; i++) {
                    let file = files[i];

                    const component = call(file);

                    this.componentsList[component.selector] = component;

                    if (i == files.length - 1) {
                        resolve();
                    }

                }
            } catch (error) {
                die(error);
            }
        });
    }
}

module.exports = ComponentsCollector;