const cheerio = require('cheerio');
const { domOptions, parseRoot } = require('./../helpers/utils');
const $ = cheerio.load('<root></root>', domOptions);

function childElement(selector, attributes, ...children) {
    if (children.length == 0 && Is.array(children[0])) {
        children = children[0];
    }

    let attributesText = '';
    
    for (let attribute in attributes) {
        attributesText += `${attribute}="${attributes[attribute]}" `;
    }
    
    let element = $(`<${selector} ${attributesText.trim()}></${selector}>`);
    
    for (let child of children) {
        element.append(child);
    }

    return $.html(element);
}

function createElement(htmlCompiler, selector, attributes, ...children) {
    let elementHtml = childElement(selector, attributes, children);

    return parseRoot(elementHtml, htmlCompiler).parse()[0];
}

module.exports = {
    childElement,
    createElement,
};