const Tag = require(TAG_CLASS_PATH);

class TextNode extends Tag {
    /**
     * {@inheritdoc}
     */
    boot() {}

    /**
     * {@inheritdoc}
     */
    build() {
        let nodeValue = this.element.data;

        if (nodeValue.includes('@echo')) {
            return nodeValue.replace(/@echo\((.*)\)/, (original, value) => {
                return(`console.log(${value.replace(/this/g, this.htmlCompiler.objectName)}); \n`);
            });
        }   
        
        // if the text is just a variable, then we will be not add single quotes

        this.textValue = nodeValue;

        if (this.textValue.repeatsOf('${') == 1 && this.textValue.startsWith("${") && this.textValue.endsWith('}')) {
            this.textValue = this.textValue.ltrim('${').rtrim('}'); 
        } else if (this.textValue.repeatsOf('${') > 1 && this.textValue.startsWith("${") && this.textValue.endsWith('}')) {                      
            this.textValue = `\`${this.textValue}\``;
        } else {
            // this.nodeValue = nodeValue;
            this.textValue = nodeValue.replace(/\`/g, '\\`');
            this.textValue = `\`${this.textValue}\``;
        }

        // if (! this.textValue.startsWith('`')) {
        //     this.textValue = '`' + this.textValue + '`';
        // }

        // return this.textValue;
        return `elem(${this.textValue}); \n`;
    }


    /**
     * {@inheritDoc}
     */
    terminate() {}
}

module.exports = TextNode;