const cheerio = require('cheerio');
const { domOptions, pullAttr } = require('./../helpers/utils');

/**
 * Replace all control structures with its corresponding tags
 * i.e *if attribute will become if tag 
 */
module.exports = function (html, htmlCompiler) {
    try {
        const $ = cheerio.load(html, domOptions);

        $('*').each((i, item) => {
            let $el = $(item);
            
            for (let specialAttr of ['*if', '*else', '*elseif']) {
                if (undefined !== $el.attr(specialAttr)) {
                    let tagName = specialAttr.ltrim('*'),
                        condition = pullAttr($el, specialAttr);

                    let ifElement = $(`<${tagName} condition="${condition}"></${tagName}>`);

                    $el.wrap(ifElement);
                }
            }

            if ($el.attr('*for')) {
                let loop = pullAttr($el, '*for'),
                    key = pullAttr($el, '*key');

                let forElement = $(`<for loop="${loop}" *key="${key}"></for>`);

                $el.wrap(forElement);
            }
        });

        return $.html();
    } catch (error) {
        die(error)
    }
};