module.exports = function (content, returnMacro = false) {
    let regex = /class(?:\s*)([^\{]*){(?:\s+)(?:\/\/ @macro\((.+)\))/;

    let matches = content.match(regex);
    let appendedString = '', macroCode = '';

    if (matches) {
        let className = matches[1].split(' ')[0];

        let macros = matches[2].replace(/\s+/g, '').split(',').map(macro => `'${macro}'`).join(',');

        macroCode = `Macros.use([${macros}], ${className});`;

        appendedString = `\n//This line is auto generated for using macros\n${macroCode}`;
    }


    if (returnMacro == false) {        
        content += appendedString;
        return content;
    } else {
        return [content, macroCode];
    }
}