const { fs } = require('@flk/fs');

var execute = require('child-process-promise').exec;

class YarnManager {
    async install(packages) {
        if (Is.string(packages)) {
            packages = [packages];
        }

        try {
            let output = await execute(`yarn add ${packages.join(' ')}`, {
                cwd: NODE_MODULES_DIR + '/../',
            });

            echo(output.stdout);
        } catch (e) {
            die(cli.red(e));
        }
    }
}

class NPMManager {
    async install(packages) {
        if (Is.string(packages)) {
            packages = [packages];
        }

        try {
            let output = await execute(`npm install ${packages.join(' ')}`, {
                cwd: NODE_MODULES_DIR + '/../',
            });

            echo(output.stdout);
        } catch (e) {
            die(cli.red(e));
        }
    }
}


class PackageManager {
    constructor() {
        this.detectPackageManager();
    }

    install(packages) {
        return this.manager.install(packages);
    }

    detectPackageManager() {
        if (fs.exists(ROOT + '/yarn.lock') || (global.config && global.config.prefers == 'yarn')) {
            this.manager = new YarnManager;
        } else {
            this.manager = new NPMManager;
        }
    }
}

module.exports = new PackageManager;