DI.resolve('events').on('app.ready', e => {
    let permissionsList = {
        users: {
            list: trans('itemsList', trans('users')),
            create: trans('createItem', trans('user')),
            update: trans('updateItem', trans('user')),
            delete: trans('deleteItem', trans('user')),
        },
        usersGroups: {
            list: trans('itemsList', trans('usersGroups')),
            create: trans('createItem', trans('group')),
            update: trans('updateItem', trans('group')),
            delete: trans('deleteItem', trans('group')),
        },
        news: {
            list: trans('itemsList', trans('news')),
            create: trans('createItem', trans('newsSingle')),
            update: trans('updateItem', trans('newsSingle')),
            delete: trans('deleteItem', trans('newsSingle')),
        },
        categories: {
            list: trans('itemsList', trans('categories')),
            create: trans('createItem', trans('category')),
            update: trans('updateItem', trans('category')),
            delete: trans('deleteItem', trans('category')),
        },
        articles: {
            list: trans('itemsList', trans('articles')),
            create: trans('createItem', trans('article')),
            update: trans('updateItem', trans('article')),
            delete: trans('deleteItem', trans('article')),
        },
        authors: {
            list: trans('itemsList', trans('authors')),
            create: trans('createItem', trans('author')),
            update: trans('updateItem', trans('author')),
            delete: trans('deleteItem', trans('author')),
        },
        clients: {
            list: trans('itemsList', trans('clients')),
            create: trans('createItem', trans('client')),
            update: trans('updateItem', trans('client')),
            delete: trans('deleteItem', trans('client')),
        },
        campaigns: {
            list: trans('itemsList', trans('campaigns')),
            create: trans('createItem', trans('campaign')),
            update: trans('updateItem', trans('campaign')),
            delete: trans('deleteItem', trans('campaign')),
        },
        settings: {
            page: trans('canAccess', trans('pageOf', trans('settings'))),
            layout: trans('canAccess', trans('pageOf', trans('layout'))),
            home: trans('canAccess', trans('pageOf', trans('home'))),
            news: trans('canAccess', trans('pageOf', trans('news'))),
        },
        usersReports: {
            list: trans('itemsList', trans('usersReports')),
        },
        campaignsReports: {
            list: trans('itemsList', trans('campaignsReports')),
        },
    };

    _const('PERMISSIONS_LIST', permissionsList);
});